/* tslint:disable */
/* eslint-disable */
/**
 * e-commerce-service
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.74
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { MassUploadItemResDto } from './mass-upload-item-res-dto';

/**
 * 
 * @export
 * @interface GetMassUploadDetailResDto
 */
export interface GetMassUploadDetailResDto {
    /**
     * 
     * @type {string}
     * @memberof GetMassUploadDetailResDto
     */
    'id': string;
    /**
     * 
     * @type {string}
     * @memberof GetMassUploadDetailResDto
     */
    'status': GetMassUploadDetailResDtoStatusEnum;
    /**
     * 
     * @type {Array<MassUploadItemResDto>}
     * @memberof GetMassUploadDetailResDto
     */
    'massUploadItems': Array<MassUploadItemResDto>;
}

export const GetMassUploadDetailResDtoStatusEnum = {
    Pending: 'pending',
    Completed: 'completed'
} as const;

export type GetMassUploadDetailResDtoStatusEnum = typeof GetMassUploadDetailResDtoStatusEnum[keyof typeof GetMassUploadDetailResDtoStatusEnum];


